# Message

The `Message` object indicates an error or reason for order failure.

<table><thead><tr><th width="169">Field Name</th><th width="122">Data Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The message identifier to be used for the localization process.</td></tr><tr><td><code>message</code></td><td>string</td><td>The content of the message.</td></tr><tr><td><code>parameters</code></td><td>string</td><td>The parameters used within the message.</td></tr></tbody></table>

### Examples

{% tabs %}
{% tab title="WITHOUT PARAMETERS" %}
{% code lineNumbers="true" %}

```json
{
     "id": "E001234",
     "message": "Agreement provisioning failed due to unavailability of the item"
}
```

{% endcode %}
{% endtab %}

{% tab title="WITH PARAMETERS" %}
{% code lineNumbers="true" %}

```json
{
     "id": "E001234",
     "message": "Agreement provisioning failed due to unavailability of the item {{ item }}",
     "parameters": {
        "item": "ITM-1234-1234-1234"
     }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/common-api-objects/message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
